<!DOCTYPE html>
<html>
<head>

<script>
function prtMsg(s) {
  document.getElementById('001').innerHTML = s;

}

function changeMsg(p) {
  for (let i = 0; i < p; i++) {
    setTimeout(prtMsg("new message " + i), 3000);
  console.log(i);
  }
}

function myFunction() {
  document.getElementById('001').innerHTML = "Paragraph changed.";
  console.log("1");
  changeMsg(10);
}
</script>


</head>

<body>
<!--script>
document.getElementById("demo").innerHTML = "Hello JavaScript";
</script-->
<button type="button" onclick="myFunction()">Try it</button>

<div id='001'>
this is div 003
</div>
<div id='002'>
this is div 002<br/>

</div>

<div id='demo'>
this is div 002<br/>

</div>

<script>
document.getElementById("demo").innerHTML = "Hello JavaScript 2";
</script>
</body>
</html>


